unit uEditorProveedor;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  uEditorContacto, uCustomView, uViewBase, uViewContacto,
  uViewProveedor, JvAppStorage, JvAppRegistryStorage, JvComponentBase,
  JvFormPlacement, DB, uDADataTable, ImgList, PngImageList, StdActns, ActnList,
  ComCtrls, TBX, TB2Item, TB2Dock, TB2Toolbar, ExtCtrls, JvExControls,
  JvComponent, JvNavigationPane,

  uIEditorProveedor, cxControls, cxContainer, cxEdit, cxTextEdit, cxMaskEdit,
  cxSpinEdit, cxDBEdit, pngimage, TBXStatusBars, JvExComCtrls, JvStatusBar,
  dxLayoutLookAndFeels, uViewContactoDatosBancarios, uBizContactos,
  uViewProveedorDatosComerciales;

type
  TfEditorProveedor = class(TfEditorContacto, IEditorProveedor)
    frViewProveedor1: TfrViewProveedor;
    pagDatosComerciales: TTabSheet;
    frViewProveedorDatosComerciales1: TfrViewProveedorDatosComerciales;
  protected
    procedure EliminarInterno; override;
    procedure SetContacto(const Value: IBizContacto); override;
  public
    constructor Create(AOwner: TComponent); override;
    procedure PonerTitulos(const ATitulo: string = ''); override;
  end;

implementation

{$R *.dfm}

{ TfEditorProveedor }

uses
  uDialogUtils;

constructor TfEditorProveedor.Create(AOwner: TComponent);
begin
  inherited;
  ViewContacto := frViewProveedor1;
end;

procedure TfEditorProveedor.EliminarInterno;
begin
  if (ShowConfirmMessage('¿Desea borrar este proveedor?', '') = IDYES) then
    inherited;
end;

procedure TfEditorProveedor.PonerTitulos(const ATitulo: string);
var
  FTitulo : String;
begin
  if Assigned(Contacto) then
  begin
    if Contacto.EsNuevo then
      FTitulo := 'Nuevo proveedor'
    else
      FTitulo := 'Proveedor';
  end;

  inherited PonerTitulos(FTitulo);
end;

procedure TfEditorProveedor.SetContacto(const Value: IBizContacto);
begin
  inherited;
  if Assigned(Contacto) then
    frViewProveedorDatosComerciales1.Contacto := Contacto
  else
    frViewProveedorDatosComerciales1.Contacto := NIL
end;

end.
